# CppPlugin

@Incubating
abstract class CppPlugin : Plugin<T>

A plugin for projects wishing to build native binary components from C++ sources.

Automatically includes the CppLangPlugin for core C++ support and the NativeComponentPlugin for native component support.

- Creates a org.gradle.language.cpp.tasks.CppCompile task for each org.gradle.language.cpp.CppSourceSet to compile the C++ sources.

## Constructors

CppPlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)